package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ProductCommentImage;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ProductCommentImageMapper")
public interface ProductCommentImageMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ProductCommentImage record);

    ProductCommentImage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ProductCommentImage record);

    List<ProductCommentImage> queryAllProductCommentImage(ProductCommentImage record);

    List<ProductCommentImage> queryProductCommentImageByPage(Map<String, Object> parameter);

    int delete(String id);

    ProductCommentImage queryProductCommentImage(ProductCommentImage record);

    List<ProductCommentImage> query(ProductCommentImage record);
}

